%define version 4.4.0

%define realname Recode
%define modname recode
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 10_%{modname}.ini
%define mod_src %{modname}.c

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	%{version}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net
BuildRequires:  php4-devel
BuildRequires:	recode-devel >= 3.6-6mdk
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php4-devel/extensions/%{dirname}/* .

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-4mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-3mdk
- build against new fixed shared recode library

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- use "no -recheck hack"

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- fix url
- built for php 4.3.6

* Tue Nov 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.3.4-2mdk
- builrequires flex

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- built for php 4.3.3
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2

* Wed Feb 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- rebuilt against php-4.3.1

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-1mdk
- built against php-4.3.0
- follow the spec file design as in main

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.3-4mdk
- small fix to build _without_ recode-devel installed ;)

* Fri Sep 20 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-3mdk
- Really use -Wl,./src/.libs/librecode.a this time ;-)

* Wed Sep 17 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-2mdk
- Use -Wl,./src/.libs/librecode.a so we *don't* pick the dynamic
  librecode.so if present. 

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Tue Aug 27 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-2mdk
- rebuild with its own recode-3.6 library, since some symbols clash with
  libmysqlclient and libc-client, resulting in segfaults with php-mysql,
  php-imap and apache2-mod_mysql. The culprit symbols are:
  hash_lookup() and hash_insert(), add recode_ prefix to them.
- See PHP bug 12450 at http://bugs.php.net/bug.php?id=12450

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-3mdk
- rebuilt against php-4.2.1 this time (klama is wierd...)
- added Requires: php-common

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-2mdk
- misc spec file fixes

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-3mdk
- rebuilt with gcc3.1
- revoke the Conflicts: mysql; just make sure this extension is loaded
  before mysql and imap, maybe even as the first one loaded?

* Mon May  6 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-2mdk
- the php extensions "mysql" and "recode" can't be used at the same time
  because of conflicting symbol names.

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes
	- PHP 4.2.0
	- added missing BuildRequires: recode-devel recode-static-devel
- Alexander Skwar <ASkwar@DigitalProjects.com> also worked on it:
	- First release of the php-recode package
